var fs = require('fs');
var path = require('path');
var filePath = '',
		oDir = '',
		nDir = '';

function ReplaceCssPath(dir, prefix, replacePrefix){
	filePath = path.join(__dirname, '../..', dir);
	oDir = new RegExp(prefix.replace(/[\\]/g,'/')+'/','g');
	nDir = replacePrefix;
}

ReplaceCssPath.prototype.apply = function(compiler){
	compiler.plugin('done', function(){
		fs.readFile(filePath, {encoding: 'utf-8'}, (err, data) => {
			if (err) throw err;

			var newValue = String(data).replace(oDir, nDir);

			fs.writeFile(filePath, newValue, 'utf-8', function (err) {
				if (err) throw err;
				console.log('file executed complete');
			});

		});
	})
}

module.exports = ReplaceCssPath;
